> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns the customizations as configured in the BonifiQ admin panel

> Returns the customizations as configured in the BonifiQ admin panel

This method returns two types of rewards: Discounts (Value Discounts and Percent Discounts) or Cashback. Altough not commom, it is possible to have all types of rewards active at the same time.

## Main properties
- `ProgramName` The name of the loyalty program. This could be different from the store name. Eg: "MyStore Rewards"
- `WidgetIconUrl`: The URL of the icon used as reference in the loyaty program. Used in widget an landing pages. If null, the default icon should be used
- `HaveIconUrl`: if true the icon URL is set and should be used. If false, the default icon should be used
- `WidgetColor`: if `HaveIconUrl` is false, this color should be used in the widget. 
- `MainColor`: the hexadecimal color used as a main theme color for the program.  
- `Logo`: The URL of the store. This is usually used in the e-mails sent do customers.
- `Url`: The URL of the store or loyalty landing page. It could be useful when communicating with the customer for sending him to the store.
- `CompanyName`: Name of the store or company. Can be used in communications.

## Defining Loyalty Program Icon
The Loyalty Programa usually have an unique visual identification, as a logo or icon. This icon is used in the widget and landing pages to identify the program.

If the `WidgetIconUrl` is null them the logo is not set and a default icon should be used instead. The rule therefore should be:
 - If `HaveIconUrl` is `true` use the `WidgetIconUrl` as the icon as a link to an image
 - If `HaveIconUrl` is `false` display the default widget icon. Usually it is the `giftcard` icon from Material UI. Use [this link](https://shorturl.at/Hxd9r) for instructios on how to use it
 - If using the default icon, use `WidgetColor` to set the icon color as set in the BonifiQ admin configuration.



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Public%20APIs/swagger.json get /v1/pub/Customization
openapi: 3.0.0
info:
  title: BonifiQ Public APIs
  description: "# Introduction \nThis is the BonifiQ Public APIs documentation. With these endpoints you can interact with BonifiQ systems and enhance your program points.\n\nThese Public endpoints are intended to be used in a frontend, browser-based enviroment such as with jQuery, React, Vue, etc\n\n# Limitations\nThese Public endpoints are very limited, as they are not as much secure as the [Private APIs](https://api.bonifiq.com.br/apidocs/private).\n\nPrivate informations such as e-mails, document number, phones, program points usage, etc are very limited as responses from this APIs. \n\nIf your requirement is in a more broad scenario, requiring more security or access to more information please use our [Private APIs](https://api.bonifiq.com.br/apidocs/private)\n\n# Authentication\nTo make a call from this APIs you need an API Token. This Token can be generated in BonifiQ admin panel, at the API Keys menu.\n\nAfter generating this API Token, you need to pass it from the X-BQ-ApiToken http header for every request. \n\nAs an example, for using it with a Java Script ```fetch``` call you would do:\n```\nfetch('https://api.bonifiq.com.br/v1/pub/customer/1/points', {\n\t\tmethod: 'GET',\n\t\theaders: {\n\t\t\t'X-BQ-APITOKEN': 'YOUR_API_TOKEN'\n\t\t},\n\t}).then(response => response.json()).then(response => console.log(response))\n```\n\n# How to use this page\n## Making calls\nYou can simulate, test and make calls to API from this Swagger page. To do that:\n- Click on the **Authorize** button\n- Inform the API Token and click on **Authorize**\n- From the list bellow, choose an API call and click on **Try it out**\n- Inform the required parameters (if any) and click on **Execute**\n\n## Verifying requests and responses bodies\nIn every API Call there is an explanation of what each field means, theirs types and accepted values for all Requests and Responses.\n\nTo view this information, just go to any API Call bellow and in the Responses section, click on the Schema."
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: Customization
    description: Retrieve customizations for the loyalty program
paths:
  /v1/pub/Customization:
    get:
      tags:
        - Customization
      summary: Returns the customizations as configured in the BonifiQ admin panel
      description: >-
        Returns the customizations as configured in the BonifiQ admin panel


        This method returns two types of rewards: Discounts (Value Discounts and
        Percent Discounts) or Cashback. Altough not commom, it is possible to
        have all types of rewards active at the same time.


        ## Main properties

        - `ProgramName` The name of the loyalty program. This could be different
        from the store name. Eg: "MyStore Rewards"

        - `WidgetIconUrl`: The URL of the icon used as reference in the loyaty
        program. Used in widget an landing pages. If null, the default icon
        should be used

        - `HaveIconUrl`: if true the icon URL is set and should be used. If
        false, the default icon should be used

        - `WidgetColor`: if `HaveIconUrl` is false, this color should be used in
        the widget. 

        - `MainColor`: the hexadecimal color used as a main theme color for the
        program.  

        - `Logo`: The URL of the store. This is usually used in the e-mails sent
        do customers.

        - `Url`: The URL of the store or loyalty landing page. It could be
        useful when communicating with the customer for sending him to the
        store.

        - `CompanyName`: Name of the store or company. Can be used in
        communications.


        ## Defining Loyalty Program Icon

        The Loyalty Programa usually have an unique visual identification, as a
        logo or icon. This icon is used in the widget and landing pages to
        identify the program.


        If the `WidgetIconUrl` is null them the logo is not set and a default
        icon should be used instead. The rule therefore should be:
         - If `HaveIconUrl` is `true` use the `WidgetIconUrl` as the icon as a link to an image
         - If `HaveIconUrl` is `false` display the default widget icon. Usually it is the `giftcard` icon from Material UI. Use [this link](https://shorturl.at/Hxd9r) for instructios on how to use it
         - If using the default icon, use `WidgetColor` to set the icon color as set in the BonifiQ admin configuration.
      operationId: Customization_GetCustomization
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalAPICustomizationResponse'
      security:
        - TokenAuthentication: []
components:
  schemas:
    ExternalAPICustomizationResponse:
      type: object
      additionalProperties: false
      properties:
        Logo:
          type: string
          description: >-
            The URL of the store. This is usually used in the e-mails sent do
            customers.
          nullable: true
        ProgramName:
          type: string
          description: >-
            The name of the loyalty program. This could be different from the
            store name. Eg: "MyStore Rewards"
          nullable: true
        FontName:
          type: string
          description: Name of the font set. If null use a default font
          nullable: true
        FontUrl:
          type: string
          description: >-
            URL for the font. For webfonts the FontUrl is null otherwise the URL
            if given in this field
          nullable: true
        MainColor:
          type: string
          description: 'The hexadecimal color used as a main theme color for the program.  '
        Url:
          type: string
          description: >-
            The URL of the store or loyalty landing page. It could be useful
            when communicating with the customer for sending him to the store.
          nullable: true
        CompanyName:
          type: string
          description: Name of the store or company. Can be used in communications.
        Locale:
          type: string
          description: Locale configured for the tenant.
          nullable: true
        WidgetIconUrl:
          type: string
          description: >-
            The URL of the icon used as reference in the loyaty program. Used in
            widget an landing pages. If null, the default icon should be used
          nullable: true
        HaveIconUrl:
          type: boolean
          description: >-
            if true the icon URL is set and should be used. If false, the
            default icon should be used
        WidgetColor:
          type: string
          description: 'if `HaveIconUrl` is false, this color should be used in the widget. '
          nullable: true
        PointsNameSingular:
          type: string
          description: >-
            The user can change the name "Points" to something like "Coins".
            This is the Singular version
        PointNamePlural:
          type: string
          description: >-
            The user can change the name "Points" to something like "Coins".
            This is the Plural version
  securitySchemes:
    TokenAuthentication:
      type: apiKey
      description: API Tokeen
      name: X-BQ-ApiToken
      in: header

````